[Unit]
Description=torprobed Publish Result

[Service]
Type=simple
Restart=no

DynamicUser=yes
PrivateUsers=true
PrivateMounts=true
ProtectSystem=strict
PrivateTmp=true
PrivateDevices=true
ProtectClock=true
NoNewPrivileges=true
ProtectHome=tmpfs
ProtectKernelModules=true
ProtectKernelLogs=true
InaccessiblePaths=/media
InaccessiblePaths=/opt

StateDirectory=torprobed-publish-result

LimitNOFILE=500000

ExecStart=/var/lib/torprobed-publish-result/processorScript.sh
WorkingDirectory=/var/lib/torprobed-publish-result/BridgeStatus
StandardOutput=journal

Environment=HOME=/var/lib/torprobed-publish-result/
Environment=REPORT_SCRIPT=/var/lib/torprobed-publish-result/reportgenerator.awk
Environment=REPORT_FILE=/var/lib/torprobed-publish-result/jsonlog.jsonl
Environment=IP_MASKING_HAMCKEY=
